<?
$infos=get_user_info();
$name=$_COOKIE['v_name'];
$nick=$_COOKIE['v_nick'];
$url=$infos['url'];

$nick_size=15;
$nick_len=mb_strlen($nick,'UTF8');
if($nick_len>9){$nick_size=13;}
$i=1;
while($i<4)
{
	$num=$num+$_POST['i'.$i];
	$i++;
}

if($num==5){$level='煞到对方很甘愿型幸福指数55%你很单纯，但也可说是“盲目”，只要喜欢上对方，就会觉得自己超幸福。';}
if($num==10){$level='你侬我侬分不开型幸福指数80%你对幸福的定义，就是跟自己最爱的小孩在一起，这种感觉很窝心且成熟，不管在工作或日常生活，都能很平静的享受。';}
if($num==20){$level='欢喜冤家捶心肝型幸福指数40%这类型的人非常的自我，但和情人也可以彼此相爱，虽常会斗嘴，不过彼此在对方心里的分量还是很重的。';}
if($num==30){$level='只羡鸳鸯不羡仙型幸福指数99%你和情人在一起时，不需要用言语沟通，因为两人的默契好到外人无法了解，常只要对方一个眼神就能意会。';}
if($num==40){$level='想喝忘情水忘记一切型幸福指数20%这类型的人非常的独立、聪明，你很清楚知道自己要的是什么；也因此，感情与幸福对你来说，就不再是重要的部分。';}

$img_path='./imgs/lovesss0s.png';
$img=getImgType($img_path);
$img=createImg($img,$nick,5,50,50,0,$nick_size,'19f','yahei');
$img=createImg($img,$level,15,75,17,0,12,'fff','yahei');

$content='“幸福”这件事，对每个人来说，都有不同的定义，单就爱情这部分，你知道自己的幸福指数有多高吗？ #幸福的爱情#：'.$url;
$rt_info=post_send($content,$img);